package com.iamberry.wechat.face.activity;

import com.iamberry.wechat.core.entity.activity.Activity;

import java.util.List;

/**
 *  活动助力参与接口
 * @author w
 * @Date 2018-06-07
 */
public interface ActivityService {
    /**
     * 获取集合
     * @param  activity
     * @return List
     */
    List<Activity> getActivityList(Activity  activity);
    /**
     * 查询单条数据
     * @param  id
     * @return  activity
     */
    Activity  getActivityById(Integer  id);

    /**
     * 查询单条数据  - couponId
     * @param  couponId
     * @return  activity
     */
    Activity  getActivityCouponId(String couponId);

    /**
     * 增加数据
     * @param  activity
     * @return Integer
     */
    Integer  save(Activity  activity);
    /**
     * 修改数据
     * @param  activity
     * @return Integer
     */
    Integer  update(Activity  activity);


    /**
     * 好友助力
     * @param openId
     * @param activityOpenId
     * @return
     */
    Integer  addActivityHelp(String openId,String activityOpenId);
}
